Package uk.ac.starlink.vo

## Class AbstractAdqlExample.TableWithCols

- java.lang.Object
- - uk.ac.starlink.vo.AbstractAdqlExample.TableWithCols

- Enclosing class:
    AbstractAdqlExample

      public static class AbstractAdqlExample.TableWithCols
      extends java.lang.Object

  Encapsulates metadata for a table and a selection of colum names from it.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getColumns()` | Returns the columns array.
    `TableMeta` | `getTable()` | Returns the table object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTable

          public TableMeta getTable()

      Returns the table object.
      Returns:
        table

    - #### getColumns

          public java.lang.String[] getColumns()

      Returns the columns array. Column names are ADQL-ready as per `ColumnMeta.getName()`.
      Returns:
        array of column names of interest, each ready for use in ADQL